Package com.isomorphic.criteria.criterion

# Class OtherFieldCriterion

java.lang.Object
com.isomorphic.criteria.criterion.OtherFieldCriterion

All Implemented Interfaces:
  `Criterion`

public class OtherFieldCriterion extends Object implements Criterion
Criterion for checking field value against other field value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OtherFieldCriterion(String fieldName, OperatorBase operatorId, String otherFieldName)`
  Constructor by parameters:
  `OtherFieldCriterion(String fieldName, String otherFieldName)`
  Calls `OtherFieldCriterion(String, OperatorBase, String)` constructor, passing `DefaultOperators.EqualsField` as operatorId.
  `OtherFieldCriterion(String fieldName, String operatorId, String otherFieldName)`
  Constructor by parameters:

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOtherFieldName()`
  Gets other field name.
  `void`
  `setOtherFieldName(String otherFieldName)`
  Sets other field name.

- ## Constructor Details

  - ### OtherFieldCriterion

    public OtherFieldCriterion(String fieldName, String operatorId, String otherFieldName)
    Constructor by parameters:
    Parameters:
      `fieldName` - - name of field to check
      `operatorId` - - operator that determines checking logic
      `otherFieldName` - - name of field that will be used for checking

  - ### OtherFieldCriterion

    public OtherFieldCriterion(String fieldName, OperatorBase operatorId, String otherFieldName)
    Constructor by parameters:
    Parameters:
      `fieldName` - - name of field to check
      `operatorId` - - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContainsField or GreaterThanField.
      `otherFieldName` - - name of field that will be used for checking

  - ### OtherFieldCriterion

    public OtherFieldCriterion(String fieldName, String otherFieldName)
    Calls `OtherFieldCriterion(String, OperatorBase, String)` constructor, passing `DefaultOperators.EqualsField` as operatorId.
    Parameters:
      `fieldName` - - name of field to check
      `otherFieldName` - - name of field that will be used for checking

- ## Method Details

  - ### setOtherFieldName

    public void setOtherFieldName(String otherFieldName)
    Sets other field name.
    Parameters:
      `otherFieldName` - other field name.

  - ### getOtherFieldName

    public String getOtherFieldName()
    Gets other field name.
    Returns:
      other field name.